Skip to main content

Retrieve Registered Device Serials

This endpoint allows you to retrieve the device serial numbers registered to your company, or those registered under your customers.

By including the customerCode in the request parameters, you can query the device serial numbers registered under that specific customer.

Request​


GET https://openapi.willog.io/ext/v1/serials​

Query Parameters​

NameTypeRequiredDescription
customerCodeStringfalseCode representing the customer

Example Request​

GET /ext/v1/serials?customerCode=willog
Authorization: Bearer token

Response​


Response Body​

NameTypeNot-nullDescription
nameStringtrueThe name of the company or customer queried.
serialsArraytrueAn array containing the registered device serial numbers.

Example Response​

HTTP/1.1 200 OK

{
"name": "company name",
"serials": ["ab12345"]
}

Error Responses​

- Invalid Token or API Key​

HTTP/1.1 400 Bad Request

{
"code": "A0010"
}

- Unauthorized Access to Customer Data​

HTTP/1.1 400 Bad Request

{
"code": "A0016"
}